###########################################################################
#
# List.pm --
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the 
# University of Waikato, New Zealand.
#
# Copyright (C) 1999 New Zealand Digital Library Project
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################

use BasClas;
package Browse;

use sorttools;

sub BEGIN {
    @ISA = ('BasClas');
}

sub print_usage {
    print STDERR "
  usage: classify Browse
  This classifier has no options (yet).
";
}

sub new {
    my $class = shift (@_);
    my $self = new BasClas($class, @_);
    
    
    # classifier information
    $self->{'collection'} = $ENV{'GSDLCOLLECTION'};

    $self->{'title'} = "Browse";

    return bless $self, $class;
}

sub init {
    my $self = shift (@_);

    
}

sub classify {
    my $self = shift (@_);
   
}

sub get_classify_info {
    my $self = shift (@_);
  

    # Return the information about the classifier that we'll later want to
    # use to create macros when the Phind classifier document is displayed.
    my %classifyinfo = ('thistype'=>'Invisible', 
                        'Title'=>$self->{'title'},
			'contains'=>[]);
    
    my $collection = $self->{'collection'};
    my $url = "library?a=br&c=collection";
    push (@{$classifyinfo{'contains'}}, {'OID'=>$url});
   
    return \%classifyinfo;

 
}


1;
